# Get account delegator rewards

Get a paginated list of delegator rewards for an account.

```
GET /accounts/{public_key}/delegation-rewards
```

## Query params

| Query param            | Description                                                        |
| ---------------------- | ------------------------------------------------------------------ |
| `validator_public_key` | The public key of the validator to whom the stakes were delegated. |
| `from_era_id`          | From era id range                                                  |
| `to_era_id`            | To era id range                                                    |

## Sorting

| Property | Description                              |
| -------- | ---------------------------------------- |
| `era_id` | Sort validator rewards by era identifier |

Default sorting is `era_id DESC`

## Optional properties

| Property                   | Type                                                                                  | Description                                                                                                                                                                                        |
| -------------------------- | ------------------------------------------------------------------------------------- | -------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| `rate`                     | `float32`                                                                             | The rate that was relevant at the moment when the last block was proposed. To get more details see [Including CSPR rates](https://docs.cspr.cloud/documentation/highlights/including-cspr-rates) . |
| `account_info`             | [`AccountInfo`](https://docs.cspr.cloud/rest-api/account-info)                        | [Account info](https://github.com/make-software/casper-account-info-contract) provided by the account owner                                                                                        |
| `centralized_account_info` | [`CentralizedAccountInfo`](https://docs.cspr.cloud/rest-api/centralized-account-info) | Account information available for known accounts provided by CSPR.cloud team                                                                                                                       |
| `cspr_name`                | `string`                                                                              | Primary CSPR.name of the account                                                                                                                                                                   |

## Response

[`PaginatedResponse`](https://docs.cspr.cloud/documentation/overview/pagination)[`<DelegatorReward>`](https://docs.cspr.cloud/rest-api/delegator-reward)

## Example

```bash
curl -X 'GET' \
   'https://api.testnet.cspr.cloud/accounts/018afa98ca4be12d613617f7339a2d576950a2f9a92102ca4d6508ee31b54d2c02/delegation-rewards' \
   -H 'Accept: application/json' \
   -H 'Authorization: 55f79117-fc4d-4d60-9956-65423f39a06a'
```

```json
{
  "item_count": 643865,
  "page_count": 64387,
  "data": [
    {
      "amount": "44272516539",
      "delegator_identifier": "018afa98ca4be12d613617f7339a2d576950a2f9a92102ca4d6508ee31b54d2c02",
      "delegator_identifier_type_id": 0,
      "era_id": 17997,
      "public_key": "018afa98ca4be12d613617f7339a2d576950a2f9a92102ca4d6508ee31b54d2c02",
      "timestamp": "2025-05-22T07:03:50Z",
      "validator_public_key": "01fe8594026624b992c840281cb528515bd8574d281c38222deaa6eb22546c7656"
    },
    {
      "amount": "70613172245",
      "delegator_identifier": "018afa98ca4be12d613617f7339a2d576950a2f9a92102ca4d6508ee31b54d2c02",
      "delegator_identifier_type_id": 0,
      "era_id": 17997,
      "public_key": "018afa98ca4be12d613617f7339a2d576950a2f9a92102ca4d6508ee31b54d2c02",
      "timestamp": "2025-05-22T07:03:50Z",
      "validator_public_key": "01fa3c25a6f41e9a8fb8bc9fba74dcfe98ed93de298b668f208eb1ab2ce8131898"
    },
    ...
    {
      "amount": "44271155773",
      "delegator_identifier": "018afa98ca4be12d613617f7339a2d576950a2f9a92102ca4d6508ee31b54d2c02",
      "delegator_identifier_type_id": 0,
      "era_id": 17997,
      "public_key": "018afa98ca4be12d613617f7339a2d576950a2f9a92102ca4d6508ee31b54d2c02",
      "timestamp": "2025-05-22T07:03:50Z",
      "validator_public_key": "01ddcc7915ce438786b79d5689d8cd0f08ff605bd408dfca29a792f6479b53ecb0"
    }
  ]
}
```
